package com.eitc.patient.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * MedicalRecord2Dto
 *
 * @author mtx
 * @date: 2024/08/07 10:00
 */
@Data
@ApiModel("病例表")
public class MedicalRecordHistoryDto {

    @ApiModelProperty(value = "牙位", name = "toothPositionList")
    private List<String> toothPositionList;

    @ApiModelProperty(value = "患者id", name = "patientId")
    private String patientId;

}
