package com.eitc.patient.excel;

import com.eitc.common.annotation.Excel;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * DiagnosisManageTemplateExcel
 *
 * @author mtx
 * @date: 2024/05/20 15:34
 */
@Data
@ApiModel("诊断管理模板导入")
public class DiagnosisManageTemplateExcel {

    @Excel(name = "诊断编码", type = Excel.Type.ALL)
    @ApiModelProperty(value = "诊断编码", name = "diagnosisCode")
    private String diagnosisCode;

    @Excel(name = "诊断名称", type = Excel.Type.ALL)
    @ApiModelProperty(value = "诊断名称", name = "diagnosisName")
    private String diagnosisName;

    @Excel(name = "返回信息", type = Excel.Type.EXPORT)
    @ApiModelProperty(value = "返回信息", name = "msg")
    private String msg;

}
