package com.eitc.patient.tree;

import com.eitc.patient.domain.CollectCostType;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.List;

/**
 * CollectCostTypeTree
 *
 * @author mtx
 * @date: 2024/05/17 17:01
 */
@EqualsAndHashCode(callSuper = true)
@Data
@ApiModel("收费分类表")
public class CollectCostTypeTree extends CollectCostType {

    @ApiModelProperty(value = "子集", name = "childrenList")
    private List<CollectCostTypeTree> childrenList;

}
