package com.eitc.patient.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * MedicalRecordVO
 *
 * @author mtx
 * @date: 2024/05/17 14:42
 */
@Data
@ApiModel("病例牙齿")
public class MedicalRecordToothVO {

    @ApiModelProperty(value = "牙位", name = "toothPosition")
    private String toothPosition;

    @ApiModelProperty(value = "牙位状态（1未完成，2已完成治疗）", name = "toothStatus")
    private Integer toothStatus;

    @ApiModelProperty(value = "诊断管理id", name = "diagnosisManageId")
    private String diagnosisManageId;

    @ApiModelProperty(value = "病例模板id", name = "diagnosisTypeTemplateId")
    private String diagnosisTypeTemplateId;

}
