package com.eitc.patient.vo;

import com.eitc.patient.domain.PatientAppointment;
import io.swagger.annotations.ApiModel;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.List;

/**
 * PatientAppointmentParamVO
 *
 * @author mtx
 * @date: 2024/06/17 14:30
 */
@EqualsAndHashCode(callSuper = true)
@Data
@ApiModel("患者预约参数")
public class PatientAppointmentParamVO extends PatientAppointment {

    private List<String> appointmentStatusArray;
}
