package com.eitc.patient.domain;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.eitc.common.core.domain.EitcBaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * CollectionDoctor
 *
 * @author mtx
 * @date: 2024年6月11日 17:26:33
 */
@EqualsAndHashCode(callSuper = true)
@Data
@ApiModel("app我的医生")
@TableName("erm_collection_doctor")
public class CollectionDoctor extends EitcBaseEntity {

    @TableField(value = "app_user_id")
    @ApiModelProperty(value = "app用户id", name = "appUserId")
    private String appUserId;

    @TableField(value = "doctor_id")
    @ApiModelProperty(value = "医生id", name = "doctorId")
    private String doctorId;

}
