package com.eitc.patient.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * PatientAppointmentDto
 *
 * @author mtx
 * @date: 2024/05/23 10:53
 */
@Data
@ApiModel("诊断分类排序与医生的关联表Dto")
public class DiagnosisTypeOrderDoctorDto {

    @ApiModelProperty(value = "id", name = "id")
    private String id;

    @ApiModelProperty(value = "诊断类型id", name = "diagnosisTypeId")
    private String diagnosisTypeId;

    @ApiModelProperty(value = "父级id", name = "parentId")
    private String parentId;

    @ApiModelProperty(value = "诊断名称", name = "diagnosisName")
    private String diagnosisName;

    @ApiModelProperty(value = "医生id", name = "doctorId")
    private String doctorId;

    @ApiModelProperty(value = "排序", name = "orderNum")
    private String orderNum;

}
