package com.eitc.patient.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.eitc.patient.domain.AppUser;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Update;

/**
 * AppUserMapper
 *
 * @author mtx
 * @date: 2024/06/11 17:39
 */
@Mapper
public interface AppUserMapper extends BaseMapper<AppUser> {

    /**
     * 回复删除数据
     *
     * @param id id
     * @author mtx
     * @date: 2024/6/13 10:33
     */
    int updateRevert(@Param("id") String id);

}
