package com.eitc.patient.param;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * MedicalRecordParam
 *
 * @author mtx
 * @date: 2024/08/21 13:49
 */
@Data
public class MedicalRecordParam {

    @ApiModelProperty(value = "患者id", name = "patientId")
    private String patientId;

    @ApiModelProperty(value = "主诊断", name = "diagnosisTypeTemplateId")
    private String diagnosisTypeTemplateId;

    @ApiModelProperty(value = "其他诊断", name = "otherDiagnosisTypeTemplateIdList")
    private List<String> otherDiagnosisTypeTemplateIdList;
}
