package com.eitc.patient.vo;

import com.baomidou.mybatisplus.annotation.TableField;
import com.eitc.patient.domain.ClinicInfo;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.Date;
import java.util.List;

/**
 * ClinicInfoVO
 *
 * @author mtx
 * @date: 2024/06/27 16:38
 */
@EqualsAndHashCode(callSuper = true)
@Data
public class ClinicInfoVO extends ClinicInfo {

    private List<String> clinicWorkingDaysList;

    private String bannerPic1;
    private String bannerPic2;
    private String bannerPic3;

    @ApiModelProperty(value = "创建时间", name = "creatTime")
    private String creatTime;

    @ApiModelProperty(value = "到期时间", name = "expireTime")
    private String expireTime;


    @ApiModelProperty(value = "绑定手机", name = "phone")
    private String phone;


    @ApiModelProperty(value = "诊所状态", name = "statusInt")
    private String statusInt;

    @ApiModelProperty(value = "账户名额", name = "quota")
    private String quota;

    @ApiModelProperty(value = "版本描述", name = "VersionRefer")
    private String versionRefer;
}
