package com.eitc.patient.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import java.util.List;

/**
 * @author 马天祥
 */
@Data
public class CollectCostPatientsDetailsListVO {

    @ApiModelProperty(value = "牙位", name = "toothPosition")
    @NotBlank(message = "牙位不能为空")
    private String toothPosition;

    @ApiModelProperty(value = "费用详情列表", name = "collectCostDetailsVOList")
    private List<CollectCostDetailsVO> collectCostDetailsVOList;

}
