package com.eitc.patient.vo;

import com.eitc.patient.domain.DiagnosisTypeTemplate;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.List;

/**
 * DiagnosisTypeTemplateVO
 *
 * @author mtx
 * @date: 2024/05/30 11:06
 */
@EqualsAndHashCode(callSuper = true)
@Data
@ApiModel("诊断分类模板表")
public class DiagnosisTypeTemplateVO extends DiagnosisTypeTemplate {

    @ApiModelProperty(value = "科室列表", name = "deptIdList")
    private List<Long> applyDeptList;

}
