package com.eitc.patient.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;
import java.util.List;

/**
 * MedicalRecordNoteVO
 *
 * @author mtx
 * @date: 2024/05/17 14:42
 */
@Data
@ApiModel("便签")
public class MedicalRecordNoteVO {

    @ApiModelProperty(value = "便签", name = "noteContent")
    private String noteContent;

    @ApiModelProperty(value = "诊断", name = "diagnosisContent")
    private String diagnosisContent;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "创建时间", hidden = true)
    private Date createDate;

    List<MedicalRecordToothVO> toothList;

}
